# 使用JDK11作为基础镜像
FROM openjdk:11

# 设置工作目录
WORKDIR /app

# 复制 jar 包和 resource 的所有文件到工作目录
COPY ruoyi-admin/target/ruoyi-admin.jar drone.jar
COPY ruoyi-admin/src/main/resources/ /resources/

# 暴露端口
EXPOSE 9136

# 定义容器启动时执行的命令，这里是启动Java应用
ENTRYPOINT ["java","-jar","drone.jar"]
